Creates a new custom menu for a company. Requires authentication and proper permissions. For Icon Usage Details please refer to https://doc.clickup.com/8631005/d/h/87cpx-243696/d60fa70db6b92b2

http
POST https://services.leadconnectorhq.com/custom-menus/

Authorization

NameTypeRequiredExampleDescription
AuthorizationstringYesBearer token generated from the Leadway portal. See Authentication.
VersionstringYes2021-07-28API version.

Body

NameTypeRequiredExampleDescription
titlestringYesCustom MenuTitle of the custom menu
urlstringYeshttps://custom-menus.com/URL of the custom menu
iconobjectYesIcon information for the custom menu
showOnCompanybooleanYesTrueWhether the menu must be displayed on the agency's level
showOnLocationbooleanYesTrueWhether the menu must be displayed for accounts level
showToAllLocationsbooleanYesTrueWhether the menu must be displayed to all accounts
openModestringYesMode for opening the menu link Possible values: 'iframe', 'new_tab', 'current_tab'
locationsstring[]NoList of account IDs where the menu should be shown. This list is applicable only when showOnLocation is true and showToAllLocations is false
userRolestringYesWhich user-roles should the menu be accessible to? Possible values: 'all', 'admin', 'user'
allowCamerabooleanNoFalseWhether to allow camera access (only for iframe mode)
allowMicrophonebooleanNoFalseWhether to allow microphone access (only for iframe mode)

Responses

201 - Custom menu successfully created
  • customMenu (object): Single Custom menu link object

json
{}
400 - Bad Request - Invalid input
401 - Unauthorized
json
{}
403 - Forbidden - Insufficient permissions
422 - Unprocessable Entity
json
{}

Example

curl -X POST 'https://services.leadconnectorhq.com/custom-menus/' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "title": "Custom Menu",
  "url": "https://custom-menus.com/",
  "showOnCompany": true,
  "showOnLocation": true,
  "showToAllLocations": true,
  "openMode": "iframe",
  "locations": [
    "gfWreTIHL8pDbggBb7af",
    "67WreTIHL8pDbggBb7ty"
  ],
  "userRole": "all",
  "allowCamera": false,
  "allowMicrophone": false
}'

Last updated October 26, 2026

Was this page helpful?